A View represents a Catavolt 'Pane' definition. A Pane can be thought of as a 'panel' or UI component that is responsible for displaying a data record or records. The Pane describes 'how' and 'where' the data will be displayed, as well as surrounding 'meta' data (i.e. the Pane title, the Pane's menus). The Pane itself does not contain the record or records to be displayed, but may be combined with a Record(s) to display the data.

### Hierarchy

- View
  - GpsReading
  - MapLocation
  - ErrorMessage
  - BarcodeScan
  - Calendar
  - Details
  - Form
  - Graph
  - ImagePicker
  - List
  - Map
  - PrintMarkup
  - Stream

## Index

### Properties

- alias
- defaultActionId
- id
- menu
- name
- title
- type

### Methods

- findMenuAt
- findTitle

## Properties

### alias

alias: string

- Defined in models/View.ts:12

### defaultActionId

defaultActionId: string

- Defined in models/View.ts:13

### id

id: string

- Defined in models/View.ts:14

### menu

menu: Menu

- Defined in models/View.ts:16

### name

name: string

- Defined in models/View.ts:15

### title

title: string

- Defined in models/View.ts:17

### type

type: ViewType

- Defined in models/View.ts:18

## Methods

### findMenuAt

- findMenuAt(actionId: string): Menu

- - Defined in models/View.ts:49

  Find a menu def on this View with the given actionId

  #### Parameters

  - ##### actionId: string

  #### Returns Menu

### findTitle

- findTitle(): string

- - Defined in models/View.ts:34

  Find the title for this Pane

  #### Returns string

Generated using TypeDoc